//  Copyright (C) 1998, 1999 The Worldforge Project
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  For information about Worldforge and its authors, please contact
//  the Worldforge Web Site at http://www.worldforge.org.
//
// created by Karsten Laux 02/2000

#ifndef _LOGINDIALOG_H_
#define _LOGINDIALOG_H_

#include "dialog.h"

#include <uta/label.h>
#include <uta/lineedit.h>
#include <uta/pushbutton.h>

///
class LoginDialog : public Screen
{
  public:
  
  ///
  LoginDialog();
  ///
  virtual ~LoginDialog();

 protected:
  ///
  virtual uta::Widget* create(uta::Widget*, int,int,int,int);
  ///
  void cleanup();
  ///
  void login();
  ///
  void createAccount();
  ///get data from widgets
  void writebackData();
  ///put data into the widgets
  void readData();
  ///
	uta::Label* profilename_;
  ///
  uta::LineEdit* login_;
  ///
  uta::LineEdit* password_;
  ///
  uta::LineEdit* server_;
  ///
  uta::PushButton* createbut_;
  ///
  uta::PushButton* loginbut_;
};




#endif // !_LOGINDIALOG_H_
