//  The Worldforge Project
//  Copyright (C) 1998, 1999, 2000 The Worldforge Project
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  For information about Worldforge and its authors, please contact
//  the Worldforge Web Site at http://www.worldforge.org.
//
// created by Karsten Laux 03/2000

#include "dialog.h"
#include <uta/timer.h>

#ifndef _OVERVIEW_H_
#define _OVERVIEW_H_

///
class Overview : public Screen
{
  public:
  
  ///
  Overview();
  ///
  virtual ~Overview();

 protected:

  ///
  uta::Timer updateTimer_;
  ///
  virtual void cleanup();
  ///
  void updateMap();
  ///
  virtual uta::Widget* create(uta::Widget*, int,int,int,int);
  ///
  uta::Surface* theMap_;
  ///
  uta::Widget* mapWidget_;

};

#endif


