idToFollow = "none"
pos = { }
changed = 0
selecting = 0

-- init this module
function init()
   return 1
end

-- shutdown the module
function deinit()
   return 1
end


function handler(arg)

   if type(arg)  ~= "table" then 
      if changed ~= 0 then
         DII_callMethod("Player","moveTo",pos)
         changed = 0
      end
      return 0
   end
   
   if arg.from == "Renderer" and selecting == 1 then
      if arg.event == "clicked" then
         if arg.entity then
            -- print ID to screen
            DII_callService("std_out", " will follow "..arg.entity.." now.\n")
            idToFollow = arg.entity         
         
            DII_callMethod("Observer","addID",idToFollow)
         
            selecting = 0
            return 1
         end
      end
   end
   
   if arg.from == "Observer" then 
      if arg.event == "changed" or arg.event == "moved" then
         if arg.args then
            entity = arg.args[1]
            if entity.id == idToFollow then
               pos[1] = entity.pos[1]+4.0
               pos[2] = entity.pos[2]+2.0
               pos[3] = entity.pos[3] 
	
               changed = 1
            end
         end
      end
   end
   
   return 0
end


function observ(arg)
   DII_callMethod("Observer","removeID",idToFollow)
   
   selecting = 1
   
   DII_callService("std_out","Click on the object you want to observ ...")
end
		
-- all following lines are "global" code and executed as soon
-- as the script has been loaded and compiled
--
-- the semantics of the calls are the same as for binary modules,
-- just the name of the module is omitted
-- (see README.modules)
--
REGISTER_METHOD("init")
REGISTER_METHOD("deinit")

REGISTER_METHOD("observ")
REGISTER_AS_SERVICE("observ")

NEEDS_MODULE("Observer")

-- connect the signal of module "Observer" to the function "handler"
-- 
DII_registerMsgHandler("Observer","handler")

-- App::signal() is emitted every second
--
DII_registerMsgHandler("App","handler")

--Renderer::signal() is emitted upon mouse clicks
--
DII_registerMsgHandler("Renderer","handler")

-- tag this table as a "List", List_tag is a global which gets
-- set by Lua::Script::registerType("List")
settag(pos, List_tag)
