#!/bin/sh
if [ -d media ]; then
##    find ./media/ -follow -name "*.png" -type f -fprintf ./media.ind "%f %h/%f\n"
##    a more compatible way:
   find ./media/ -follow -name "*.png" -type f |sed 's/\(.*\/\([^\/]*\)\)/\2 \1/' >media.ind
   find ./media/ -follow -name "*.png_*.raw" -type f |sed 's/\(.*\/\([^\/]*\.png\)\)\_.*\.raw/\2 \1/' >>media.ind
else
    PWD=`pwd`
    echo
    echo "WARNING:"
    echo "Could not find directory 'media' in "$PWD
    echo "Please rerun build_media_index.sh as soon as the media files"
    echo "have been installed !"
    echo
fi
