//  Copyright (C) 1998, 1999 The Worldforge Project
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  For information about Worldforge and its authors, please contact
//  the Worldforge Web Site at http://www.worldforge.org.
//
// created by Karsten Laux 02/2000

#ifndef _CHARACTERCHOOSER_H_
#define _CHARACTERCHOOSER_H_

#include "dialog.h"
#include <uta/listbox.h>
#include <uta/pushbutton.h>

#include <dialog.h>

///
class CharChooser : public Screen
{
  public:
  
  ///
  CharChooser();
  ///
  virtual ~CharChooser();


 protected:
  ///
  virtual uta::Widget* create(uta::Widget*, int,int,int,int);
  ///
  void cleanup();
  ///
  void slot_select(const char*);
  ///
  void slot_change(const char*);
  ///
  void slot_take();
  ///
  void slot_create();
  ///
  void updateDialog();
  ///
	uta::ListBox* characterlist_;
  ///
	uta::PushButton* createBut_;
  ///
	uta::PushButton* takeBut_;
};




#endif // !_CHARACTERCHOOSER_H_
