//  Copyright (C) 1998, 1999 The Worldforge Project
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  For information about Worldforge and its authors, please contact
//  the Worldforge Web Site at http://www.worldforge.org.
//
// created by Karsten Laux 02/2000

#ifndef _INVENTORY_H_
#define _INVENTORY_H_

#include "dialog.h"

#include <uta/listbox.h>
#include <uta/multilineedit.h>
#include <uta/timer.h>

///
class InventoryDialog : public Screen
{
  public:  
  ///
  InventoryDialog();
  ///
  virtual ~InventoryDialog();

 protected:
  ///
  virtual uta::Widget* create(uta::Widget*, int,int,int,int);
  ///
  virtual void cleanup();
  ///get data from widgets
  void writebackData();
  ///put data into the widgets
  void readData();
  ///
  void drop();
  ///
  void select(const char*);
  ///
  uta::ListBox* listbox_;
  ///
  uta::MultiLineEdit* desc_;
  ///
  uta::Timer refresh_;

};




#endif // !_INVENTORY_H_
