#!/usr/bin/perl
#This file is distributed under the terms of the GNU General Public license.
#Copyright (C) 1999 Al Riddoch (See the file COPYING for details).

#This file searches through the entire uclient source looking for files it 
#needs from media cvs repository, and extracts those filenames so media
#package can be built

#@files = `find . -type f`;
@files = ('resources.ini',`ls moraf*.tl`,`ls scripts/*.lua`,'uclient/uclient.cc', 'uclient/res_loader.cc', 'moraf.map');

open(FILES, ">mason_media_list_n.txt") or die("Can't open file list");
# open(GLOBS, ">acorn_media2d_glob_n.txt") or die("Can't open file glob");

foreach $sentry (@files) {
	open(SFILE, $sentry);
	@scfile = <SFILE>;
	close(SFILE);
	@lines = grep(/media\/(sprites|sound|ui|tiles|media-[23]d)/,@scfile);
	if (scalar(@lines) != 0) {
                foreach $mentry (@lines) {
			$mentry =~ m/(media\/(sprites|sound|ui|tiles|media-[23]d)\/[^<\n "]+)/;
			$mfile = $1;
			$cvspath = $mfile;
			$cvspath =~ s/media\/media-2d/media-2d/;
			
			if (($mfile =~ m/\.([A-Za-z]+)$/) && !($mfile =~ m/raw$/)) {
				$suffix = $1;
				print FILES $cvspath." \$(PREFIX)/share/forge/".$mfile."\n";
			} else {  # raw file ?
				$mfile=$mfile."*";
				print "Rawfile: ".$mfile."\n";
				# print GLOBS $mfile."\n";
			}
		}
	}
}
