-- constants / tools / helpers for the uclient DII system

DII_SUCCESS = 1
DII_ERROR = 0

function DII_newList(args)
   local result = {}
   if args and type(args)  == "table" then
      result = args
   end
   settag(result, List_tag)
   return result
end

function DII_newMap(args)
   local result = {}
   if args and type(args)  == "table" then
      result = args
   end
   settag(result, Map_tag)
   return result
end

function DII_isMap(arg)
   if tag(arg) == Map_tag then return 1 end
   return nil
end

function DII_isList(arg)
   if tag(arg) == List_tag then return 1 end
   return nil
end
