connected = nil
character = nil

main_menu_id = nil

menu_button = {}
charedit_button = {}
inv_button = {}
pen_button = {}
book_button = {}
scroll_button = {}

function main()

   connected = DII_callService("readRegistryEntry","/runtime/server_logged_in")

   local prefix = DII_callService("readRegistryEntry", "/install_dir").."/forge/";
   
   style = newJanusItem("style")
   data = newJanusItem("data")
   structure = newJanusItem("structure")
   logic = newJanusItem("logic")

   data.main_background = newJanusItem("Image",
                                        {type="file",
                                         id="main_background",
                                         source=prefix.."media/media-2d/collection-malcolm/ui/mason_menu_1_800x600_mw.png"})
   

   data.color1 = newJanusItem("Color", { id="transparent", data="0 0 0 0" })
   -- data.color2 = newJanusItem("Color", { id="textcolor", data="191 141 55 255" })
   data.color2 = newJanusItem("Color", { id="textcolor", data="0 0 0 255" })
   data.color3 = newJanusItem("Color", { id="shaded", data="40 30 20 90" })
   data.color4 = newJanusItem("Color", { id="fadecolor", data="95 73 45 128"})


   style.item1 = newJanusItem("property", { part="Label", color="transparent"})
   style.item2 = newJanusItem("property", { part="Label", text_color="textcolor" })
   style.item2b = newJanusItem("property", { part="Label", fade_color="fadecolor" })
     
   --style.item3 = newJanusItem("property", { part="PushButton",color="shaded" })
   --style.item4 = newJanusItem("property", { part="PushButton",text_color="textcolor" })
   --style.item4b = newJanusItem("property", { part="PushButton", fade_color="fadecolor" })
     
   
   style.item5 = newJanusItem("property", { part="PushButton",width=115 })
   style.item6 = newJanusItem("property", { part="PushButton",height=25 })
   
   structure.main_menu = newJanusItem("Dialog", 
       { 
         x=0, y=0, width=800, height=600,
         background="main_background"})

   
   structure.main_menu.connect = newJanusItem("PushButton", { x=50, y=550})
   if connected  then
      structure.main_menu.connect.text = "Logout"
   else
      structure.main_menu.connect.text = "Connect"
   end

   structure.main_menu.about = newJanusItem("PushButton", { x=200, y=550, text="About"})
   structure.main_menu.help = newJanusItem("PushButton", { x=350, y=550, text="Help"})
   structure.main_menu.close = newJanusItem("PushButton", { x=500, y=550, text="Close"})
   structure.main_menu.quit = newJanusItem("PushButton",{x=650, y=550, text="Exit"})
 
   logic.conn1 = newJanusItem("connection", 
                            { sender="close",   signal="clicked",
                              receiver="main_menu", slot="accept" })
   logic.conn2 = newJanusItem("connection", 
                            { sender="quit",   signal="clicked",
                              receiver="main_menu", slot="App:quit" })
   logic.conn3 = newJanusItem("connection", 
                            { sender="about",   signal="clicked",
                              receiver="main_menu", slot="main_menu:slot_about" })
   logic.conn4 = newJanusItem("connection", 
                            { sender="connect",   signal="clicked",
                              receiver="main_menu", slot="main_menu:slot_connect" })
    logic.conn5 = newJanusItem("connection", 
                            { sender="help",   signal="clicked",
                              receiver="main_menu", slot="main_menu:slot_help" })
        
   dialog = newJanusItem("janus", 
                        { style=style, 
                                data=data,  
                                structure=structure, 
                                logic=logic })
   
   main_menu_id = DII_callMethod("Gui","create_dialog", dialog)

   if main_menu_id == nil then return end

   DII_callService("std_out","got dialog id "..main_menu_id.."\n")

   DII_callMethod("Gui","run_dialog", main_menu_id)
 
   DII_callMethod("Gui","destroy_dialog", main_menu_id)

         -- If we get this far it is time to pick a character
   charedit()

   return 1
end

function slot_help()
         DII_callService("help",0)
end

function slot_about()

   local about_text = 
         DII_callMethod("App","version",0).."\n"..
         "Copyright 1998-2002 by \n"..
         "  The Worldforge Project.\n\n"..      
         "Originally written by \n"..
         "  Karsten-O. Laux <klaux@rhrk.uni-kl.de>\n"..
                                 "Mason port by \n"..
                                 "  Malcolm Walker <malcolm@worldforge.org>\n"..
                                 "  Ron Steinke <rsteinke@w-link.net>\n"..
         "layout and artwork by\n"..
         "  Malcolm Walker\n"..
                                 "  Jason Oppel\n"..
                                 "  Valerie Valusek"
                             
   local style = newJanusItem("style")
   local data = newJanusItem("data")
   local structure = newJanusItem("structure")
   local logic = newJanusItem("logic")

   data.acolor1 = newJanusItem("Color", { id="transparent", data="0 0 0 0" })
   --   data.acolor2 = newJanusItem("Color", { id="textcolor", data="191 141 55 255" })
   data.acolor2 = newJanusItem("Color", { id="textcolor", data="0 0 0 255" })
   data.acolor3 = newJanusItem("Color", { id="shaded", data="40 30 20 90" })
   data.acolor4 = newJanusItem("Color", { id="fadecolor", data="95 73 45 128"})


   style.aitem1 = newJanusItem("property", { part="Label", color="transparent"})
   style.aitem2 = newJanusItem("property", { part="Label", text_color="textcolor" })
   style.aitem2b = newJanusItem("property", { part="Label", fade_color="fadecolor" })
     
   -- style.aitem3 = newJanusItem("property", { part="PushButton",color="shaded" })
   style.aitem4 = newJanusItem("property", { part="PushButton",text_color="textcolor" })
   style.aitem4b = newJanusItem("property", { part="PushButton", fade_color="fadecolor" })
     
   
   style.aitem5 = newJanusItem("property", { part="PushButton",width=115 })
   style.aitem6 = newJanusItem("property", { part="PushButton",height=25 })

   structure.about_box  = newBorderedDialog(235,100,330,400)
   structure.about_box.clientArea.background = "background";

   structure.about_box.clientArea.text = 
        newJanusItem("Label", 
                    { x=10,y=0, width=310, height=355,text = about_text })

   structure.about_box.clientArea.close = 
         newJanusItem("PushButton", { x=200,y=365,text="Close"})

   logic.aconn1 = newJanusItem("connection", 
                            { sender="close",   signal="clicked",
                              receiver="about_box", slot="accept" })

   local dialog = newJanusItem("janus", 
                        { style=style, 
                                data=data,  
                                structure=structure, 
                                logic=logic })
   
   local id = DII_callMethod("Gui","create_dialog", dialog)

   if id == nil then return end

   DII_callService("std_out","got dialog id "..id.."\n")

   DII_callMethod("Gui","run_dialog", id)

   DII_callMethod("Gui","destroy_dialog", id)

        
end

function slot_connect()

   connected = DII_callService("readRegistryEntry","/runtime/server_logged_in")
         req = { section = "", key = "standalone" }
         settag(req, Map_tag)
   standalone = DII_callMethod("Settings", "getItem", req)
         
   if connected then
      DII_callService("logout",0)
      connected = DII_callService("readRegistryEntry","/runtime/server_logged_in")
   
      if connected == nil then
         local call ={ id=main_menu_id, sub_id="connect", cmd="setText", arg="Connect" }
         settag(call, Map_tag)
         DII_callMethod("Gui","call_dialog",call)
      end
   else
      DII_callMethod("selectserver","browseServers",0);
  
      connected = DII_callService("readRegistryEntry","/runtime/server_logged_in")
   
      if connected then

         mydebug("closing main menu ...\n")
   
         local call ={ id=main_menu_id, sub_id="connect", cmd="setText", arg="Logout" }
         settag(call, Map_tag)
         DII_callMethod("Gui","call_dialog",call)

         -- Calling "accept" will close the main_menu dialog.
         call ={ id=main_menu_id, sub_id="main_menu", cmd="accept", arg="" }
         settag(call, Map_tag)
         DII_callMethod("Gui","call_dialog",call)
      end
   end
end

--
--
function charedit()
   if connected then
      character = DII_callService("readRegistryEntry",
                                  "/runtime/server_have_character")           
      if character == nil then
         -- First try: Allow the user to pick an existing character
         DII_callService("chooseCharacter",0)
         character = DII_callService("readRegistryEntry",
                                     "/runtime/server_have_character")           
         if character == nil then
            -- Second try: The user is creating a new character, and
            -- is now given the option to edit it
            DII_callService("editCharacter",0)
         end       
				 -- We'd better have a character by now !
         character = DII_callService("readRegistryEntry",
                                     "/runtime/server_have_character")
         if character ~= nil then
            
            -- if we have successfully created/overtaken a character
            --
         

         end
      end
   else
      -- We are not connected - set up the world to operate offline			
			-- (perhaps a spectator mode, where the player avatar is a ghost ?)
   end
end

--
--
function menuCallback(arg)
   if arg.args[1].id == menu_button.id then
     main()
   elseif arg.args[1].id == charedit_button.id then
     charedit()
   end
   return 0
end

-- init this module
function init()

   loadExtension("dii.lua")
   loadExtension("janus.lua")

   menu_button = DII_callMethod("Gui","bind_menubutton",0);
    menu_button.upPic = "mmenu_button"
   menu_button.downPic = "mmenu_button_pressed"
   DII_callMethod("Gui","change_menubutton",menu_button);

   inv_button = DII_callMethod("Gui","bind_menubutton",0);
   inv_button.upPic = "minv_button"
   inv_button.downPic = "minv_button_pressed"
   DII_callMethod("Gui","change_menubutton",inv_button);

   book_button = DII_callMethod("Gui","bind_menubutton",0);
   book_button.upPic = "mbook_button"
   book_button.downPic = "mbook_button_pressed"
   DII_callMethod("Gui","change_menubutton",book_button);

   scroll_button = DII_callMethod("Gui","bind_menubutton",0);
   scroll_button.upPic = "mscroll_button"
   scroll_button.downPic = "mscroll_button_pressed"
   DII_callMethod("Gui","change_menubutton",scroll_button);

   pen_button = DII_callMethod("Gui","bind_menubutton",0);
   pen_button.upPic = "mpen_button"
   pen_button.downPic = "mpen_button_pressed"
   DII_callMethod("Gui","change_menubutton",pen_button);

   -- charedit_button = DII_callMethod("Gui","bind_menubutton",0);
   -- charedit_button.text = "C"
   -- DII_callMethod("Gui","change_menubutton",charedit_button);


   DII_registerMsgHandler("Gui","menuCallback")

   return 1
end

-- shutdown the module
function deinit()

   DII_callMethod("Gui","release_menubutton",menu_button)
   DII_callMethod("Gui","release_menubutton",inv_button)
   DII_callMethod("Gui","release_menubutton",pen_button)
   DII_callMethod("Gui","release_menubutton",scroll_button)
   DII_callMethod("Gui","release_menubutton",book_button)
   -- DII_callMethod("Gui","release_menubutton",charedit_button)

   return 1
end
                
-- all following lines are "global" code and executed as soon
-- as the script has been loaded and compiled
--
-- the semantics of the calls are the same as for binary modules,
-- just the name of the module is omitted
-- (see README.modules)
--
REGISTER_METHOD("init")
REGISTER_METHOD("deinit")
REGISTER_METHOD("main")
REGISTER_METHOD("slot_about")
REGISTER_METHOD("slot_connect")
REGISTER_METHOD("slot_help")

REGISTER_AS_SERVICE("main")

NEEDS_MODULE("Gui")


