-- globals
--
screenarea = {}
widget_id = nil

-- build the widget
--
function createWidget(section)

   local desc = newJanusDescription()

   desc.structure.manaInd = newJanusItem("Widget", section)
   desc.structure.manaInd.ind = newJanusItem("Widget",{width=43, height=section.height})
   desc.structure.manaInd.ind.background="mana_background"
   desc.structure.manaInd.sep = newJanusItem("Widget",{x=43, width=8, height=section.height})
   desc.structure.manaInd.sep.background="seperator_v"

   local id = DII_callMethod("Gui","create_dialog",desc)     	
   
   if id == nil then 
      print("minipanel: failed to create Widget !") 
      return 
   end

   return id
end


-- init this module
--
function init()
 
--   loadExtension("janus.lua")

--   screenarea = bindScreenSection(5)
   
--   if screenarea == nil then print("status_ind failed to obtain screenarea !\n") return 0 end

--   widget_id = createWidget(screenarea)
 
   return 1
end

-- shutdown the module
--
function deinit()
--   if widget_id then
--      DII_callMethod("Gui","destroy_dialog",widget_id)
--   end
--   if screenarea then
--      DII_callMethod("Gui","release_screenarea",screenarea)
--   end
   return 1
end

-- all following lines are "global" code and executed as soon
-- as the script has been loaded and compiled
--
-- the semantics of the calls are the same as for binary modules,
-- just the name of the module is omitted
-- (see README.modules)
--
REGISTER_METHOD("init")
REGISTER_METHOD("deinit")

NEEDS_MODULE("Gui")
