-- this script gets loaded at connection to a werewolf server,
-- it allows easy abstraction of the maps required for a given game

function loadMaps()
   mydebug("loading maps  ... ") 
   arg[0]= "moraf_ne" 
   arg[1]= "100"
   arg[2]= "100"
   DII_callService("readMapFile", arg)

   arg[0]= "moraf_nw" 
   arg[1]= "-100"
   arg[2]= "100"
   DII_callService("readMapFile", arg)

   arg[0]= "moraf_se" 
   arg[1]= "100"
   arg[2]= "-100"
   DII_callService("readMapFile", arg)

   arg[0]= "moraf_sw" 
   arg[1]= "-100"
   arg[2]= "-100"
   DII_callService("readMapFile", arg)

   arg[0]= "moraf" 
   DII_callService("readXmlMapFile", arg)

   mydebug("[loading maps done]\n")

end

-- init this module
function init()
   mydebug("in mason::init() ....\n")

   loadMaps()   

   return 1
end

-- shutdown the module
function deinit()
   return 1
end

  
-- all following lines are "global" code and executed as soon
-- as the script has been loaded and compiled
--
mydebug ("mason.lua successfully loaded.\n")

-- the semantics of the calls are the same as for binary modules,
-- just the name of the module is omitted
-- (see README.modules)
--
REGISTER_METHOD("init")
REGISTER_METHOD("deinit")




