#include "world_adaptor.h"

using namespace World;

Adaptor::Adaptor(World* world)
{
  world->entityDisappeared.connect(slot(this,&Adaptor::disappeared));
  world->entityChanged.connect(slot(this,&Adaptor::changed));
  world->entityMoved.connect(slot(this,&Adaptor::moved));
  world->entityDeleted.connect(slot(this,&Adaptor::deleted));
  world->entityCreated.connect(slot(this,&Adaptor::created));
}

Adaptor::~Adaptor()
{

}
