#ifndef _WORLD_ADAPTOR_H_
#define _WORLD_ADAPTOR_H_

#include <sigc++/signal_system.h>
#include "world.h"

namespace World {

///
class Adaptor : virtual public SigC::Object
{
 public:
  ///
  Adaptor(World*);
  ///
  virtual ~Adaptor();
  ///
  virtual void disappeared(const Entity*) = 0;
  ///
  virtual void moved(const Entity*) = 0;
  ///  
  virtual void changed(const Entity*) = 0;
  ///
  virtual void deleted(const Entity*) = 0;
  ///  
  virtual void created(const Entity*) = 0;
};

}

#endif 
