#ifndef _WORLD_ADAPTOR_RENDERER_H_
#define _WORLD_ADAPTOR_RENDERER_H_

#include "world_adaptor.h"

namespace World {

///
class RendererAdaptor : public Adaptor
{
 public:
  ///
  RendererAdaptor(World* world) : Adaptor(world) {};
  ///
  virtual ~RendererAdaptor() {};

  ///
  virtual void disappeared(const Entity*);
  ///
  virtual void moved(const Entity*);
  ///  
  virtual void changed(const Entity*);
  ///
  virtual void deleted(const Entity*);
  ///  
  virtual void created(const Entity*);

};

}

#endif 
